Ticket #44663

Qt citydlg.cpp: bold() header not marked for doxygen

Open Date: 2022-05-25 15:36 Last Update: 2022-06-12 09:48

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

Qt-client's citydlg.cpp has "Qstring bold()" function. It's function header does not have "**//**" -marking.

Ticket History (3/5 Histories)

2022-05-25 15:36 Updated by: cazfi
  • New Ticket "Qt citydlg.cpp: bold() header not marked for doxygen " created
2022-05-25 15:48 Updated by: cazfi
Comment

Also helpdlg.cpp has some methods lacking the doxygen marking.

2022-06-07 12:16 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 3.1.0
Comment

Attached patch also removes declaration of 'bold()' from the header, as it's not used outside the module and namespace-wise it's better not to have so generic name reserved.

2022-06-12 09:48 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login